Loading...
Searching...
No Matches
Database Flags
LMDB API

## Macros

#define | MDB_REVERSEKEY 0x02
#define | MDB_DUPSORT 0x04
#define | MDB_INTEGERKEY 0x08
#define | MDB_DUPFIXED 0x10
#define | MDB_INTEGERDUP 0x20
#define | MDB_REVERSEDUP 0x40
#define | MDB_CREATE 0x40000

## Detailed Description

## Macro Definition Documentation

## MDB_REVERSEKEY

#define MDB_REVERSEKEY 0x02

use reverse string keys

## MDB_DUPSORT

#define MDB_DUPSORT 0x04

use sorted duplicates

## MDB_INTEGERKEY

#define MDB_INTEGERKEY 0x08

numeric keys in native byte order: either unsigned int or size_t. The keys must all be of the same size.

## MDB_DUPFIXED

#define MDB_DUPFIXED 0x10

with MDB_DUPSORT, sorted dup items have fixed size

## MDB_INTEGERDUP

#define MDB_INTEGERDUP 0x20

with MDB_DUPSORT, dups are MDB_INTEGERKEY-style integers

## MDB_REVERSEDUP

#define MDB_REVERSEDUP 0x40

with MDB_DUPSORT, use reverse string dups

## MDB_CREATE

#define MDB_CREATE 0x40000

create DB if not already existing